/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.parser.generator.conflict;

import java.util.Vector;
import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.AttributesImpl;
import net.sourceforge.chaperon.grammar.Grammar;

/**
 * The class contains a _list of conflicts
 *
 * @author Stephan Michels
 * @version %version%
 */
public class ConflictList
{

  private Vector _list = new Vector();

  /**
   * Add a conflict to this _list
   *
   * @param conflict Conflict, which should be apped
   */
  public void add(Conflict conflict)
  {
    _list.addElement(conflict);
  }

  /**
   * Return a conflict giving by an index
   *
   * @param index Index of conflict
   *
   * @return
   */
  public Conflict get(int index)
  {
    return (Conflict) _list.elementAt(index);
  }

  /**
   * Returns the count of conflicts in the _list
   *
   * @return Count of conflict n this _list
   */
  public int getSize()
  {
    return _list.size();
  }

  /**
   * Convert this _list to a string
   *
   * @return Content of this _list
   */
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();

    for (int i = 0; i < _list.size(); i++)
    {
      buffer.append(get(i));
      buffer.append("\n");
    }
    return buffer.toString();
  }
}
